# Get applicable scopes for selected roles. Returns the applicable scope predicate types and their permitted values for the selected roles within a company. Endpoint: POST /v3/companies/{companyId}/roles/applicable-scopes Version: v3 Security: Bearer ## Path parameters: - `companyId` (string, required) Identifier of the company. Example: "1234a66b-7493-4f41-908c-58ba81093947" ## Request fields (application/json): - `roleIds` (array) List of selected role identifiers. Example: ["1aeef911-44cf-49bb-83c7-e06b0d4e7ac2"] - `selectedAudience` (object) The audience that the scope audience applies to. - `selectedAudience.predicates` (array, required) ## Response 200 fields (application/json): - `applicableScopes` (array, required) List of applicable scopes with their predicate types and permitted values. - `applicableScopes.predicateType` (string, required) Type of scope predicate. Enum: "PLATFORM", "BOOKING_TMC", "CONTRACTING_TMC", "COMPANY", "TRIP_TEMPLATE", "STEALTH_TYPE" - `applicableScopes.allowedValues` (array) Allowed values for this predicate type. Present for predicate types that have enumerable values (e.g. STEALTH_TYPE). - `applicableScopes.allowedValues.value` (string, required) The predicate value identifier. Example: "STEALTH_TYPE_1" - `applicableScopes.allowedValues.label` (string) Readable label for the value. Example: "VIP Travel" ## Response 400 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 401 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 403 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error. ## Response 404 fields (application/json): - `debugIdentifier` (string) Link to debug the error internally. - `errorMessages` (array) - `errorMessages.errorCode` (string) Error code to identify the specific errors. - `errorMessages.message` (string) Message containing details of error. - `errorMessages.errorParameters` (array) Error message parameters. - `errorMessages.errorParameters.name` (string) Parameter name - `errorMessages.errorParameters.value` (string) Parameter value - `errorMessages.errorDetail` (string) More details about the error.